Bug 277231 (CVE-2007-3478) - CVE-2007-3478 libgd Certain TTF handling routines are not reentrant
Summary: CVE-2007-3478 libgd Certain TTF handling routines are not reentrant
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2007-3478
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard:
Depends On: 277411 277421
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-04 19:52 UTC by Lubomir Kundrak
Modified: 2019-09-29 12:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-13 15:55:02 UTC


Attachments (Terms of Use)

Description Lubomir Kundrak 2007-09-04 19:52:49 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-3478 to the following vulnerability:

Race condition in gdImageStringFTEx (gdft_draw_bitmap) in gdft.c in the GD Graphics Library (libgd) before 2.0.35 allows user-assisted remote attackers to cause a denial of service (crash) via unspecified vectors, possibly involving truetype font (TTF) support.

References:

http://bugs.php.net/bug.php?id=40578
http://bugs.libgd.org/?do=details&task_id=48

Comment 1 Lubomir Kundrak 2007-09-04 19:55:15 UTC
Triggering the crash is dependent on a time-dependent race condition.

Comment 3 Tomas Hoger 2008-02-08 17:20:09 UTC
Only seems relevant for multi-threaded applications.

Upstream commits referring to mentioned gd bug:
http://cvs.php.net/viewcvs.cgi/gd/libgd/src/gdft.c?r1=1.30&r2=1.32


Comment 4 Tomas Hoger 2008-02-13 15:55:02 UTC
We currently do not plan to backport a fix for this issue to gd packages in
current versions of Red Hat Enterprise Linux 2.1, 3, 4, and 5 due to low
likelihood of application possibly affected by this problem being exposed in a
way that would allow trust boundary to be crossed.


Note You need to log in before you can comment on or make changes to this bug.